
import Vue from 'vue'
import api from '@/api/api.js'
import utils from './utils/utils.js'

import uvUI from '@/uni_modules/uv-ui-tools'
Vue.use(uvUI);

// 当前环境
const type = 'dev'


// 环境配置
const config = {
	lzx : {
		baseUrl : 'http://h5.xzaiyp.top/employ-api',
	},
	dev : {
		baseUrl : 'http://augcl.natapp1.cc/employ-api',
	},
	prod : {
		baseUrl : 'https://admin.teyizhao.com/employ-api',
	}
}


// 默认配置
const defaultConfig = {
	mapKey : 'XMBBZ-BCPCV-SXPPQ-5Y7MY-PHZXK-YFFVU',
	aliOss : {
		url : 'https://img.teyizhao.com/',
		config : {
			//桶的地址
			region: 'oss-cn-beijing',
			//id
			accessKeyId:'LTAI5t5nV2Pw67wVC9ZvtFSb',
			//密钥
			accessKeySecret:'perarQgbRK9TPNNb2G97EojoJ6kb9H',
			//桶的名字
			bucket: 'teyizhaoimg',
			endpoint:'oss-cn-beijing.aliyuncs.com',
		}
	},
}


uni.$uv.setConfig({
	// 修改$uv.config对象的属性
	config: {
		// 修改默认单位为rpx，相当于执行 uni.$uv.config.unit = 'rpx'
		unit: 'rpx'
	},
})

Vue.prototype.$config = utils.deepMergeObject(defaultConfig, config[type])

Vue.prototype.$api = api

export default Vue.prototype.$config