
// 记工记账相关接口

const api = {
	//记工记账项目列表
	commonQueryNotebookList: {
		url: '/api/common/queryNotebookList',
		method: 'GET',
	},
	// 技工问题
	commonAddQuestion: {
		url: '/employ/notebook/addQuestion',
		method: 'POST',
		auth: true, 
		limit : 500,
		showLoading : true,
	},
	
	//新建账本
	addNoteBook: {
		url: '/employ/notebook/addNoteBook',
		method: 'POST',
		auth: true,
		limit : 500,
		showLoading : true,
	},
	//记工记账-项目记工
	addWorkInfo: {
		url: '/employ/notebook/addWorkInfo',
		method: 'POST',
		auth: true,
		limit : 500,
		showLoading : true,
	},
	//记工记账-项目记账
	addBillInfo: {
		url: '/employ/notebook/addBillInfo',
		method: 'POST',
		auth: true,
		limit : 500,
		showLoading : true,
	},
	//记工记账-全年收支
	queryBill: {
		url: '/employ/notebook/queryBill',
		method: 'GET',
		auth: true, 
	},
	//查询记工记录
	notebookQueryWork: {
		url: '/employ/notebook/queryWork',
		method: 'GET',
		auth: true, 
	},
	//查询全年收支统计
	notebookQueryBillAmount: {
		url: '/employ/notebook/queryBillAmount',
		method: 'GET',
		auth: true, 
	},
}

export default api